Skip to main content
GET
List accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>[]

Account ID(s). Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

account_type
enum<string>

The type of the account

The type of the account. In lead mode, this always takes the value of the template. If not specified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:

  • SAVING: Savings account
  • CHECKING: Checking account
  • PREPAID: Prepaid account
  • LINE_OF_CREDIT: Line of Credit account
  • CREDIT_CARD: Credit Card account
  • CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering
  • CHARGE_UNSECURED: (alpha) Unsecured Charge account
  • REVOLVING_CREDIT_SECURED: Secured Revolving Credit account
  • REVOLVING_CREDIT_UNSECURED: Unsecured Revolving Credit account
  • GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.
Available options:
SAVING,
CHECKING,
PREPAID,
LINE_OF_CREDIT,
CREDIT_CARD,
CHARGE_SECURED,
CHARGE_UNSECURED,
REVOLVING_CREDIT_SECURED,
REVOLVING_CREDIT_UNSECURED,
GENERAL_LEDGER
general_ledger_type
enum<string>

The type of the general ledger account

The type of general ledger account. This is required when creating a general ledger account.

Available options:
ACH_SETTLEMENT,
ACH_SUSPENSE,
ALLOCATED_SUSPENSE,
BANK_DRAFT,
BILLING_EXPENSE,
BILLING_REVENUE,
CARD_AFT_PREFUNDING,
CARD_OCT_SETTLEMENT,
CARD_SETTLEMENT,
CASH_SETTLEMENT,
CASH_SUSPENSE,
CHECK_SETTLEMENT,
DISPUTE_WRITE_OFF_PNL,
EFT_CA_SETTLEMENT,
EFT_CA_SUSPENSE,
EXTERNAL_CARD_AFT_SETTLEMENT,
EXTERNAL_CARD_OCT_SETTLEMENT,
FEDNOW_SETTLEMENT,
FEES,
FRAUD_LOSSES,
FUNDING_ACCOUNTS,
GENERAL_PNL,
IN_STORE_CASH_SETTLEMENT,
INTEREST_PAYOUT,
INTERNATIONAL_WIRE_SETTLEMENT,
LOC_INTEREST_INCOME,
LOC_INVESTOR_PORTFOLIO,
LOC_REPURCHASE,
MONEY_IN_AND_OUT,
NEGATIVE_BALANCE,
NETWORK_ADJUSTMENT,
NETWORK_CHARGEBACK,
NEW_FUNDING_ACCOUNT,
PROVISIONAL_CREDIT_PNL,
RESERVE,
REWARDS,
SC_INVESTOR_PORTFOLIO,
SC_REPURCHASE,
SYNCTERA_PAY_SUSPENSE,
USC_INTEREST_INCOME,
USC_INVESTOR_PORTFOLIO,
USC_REPURCHASE,
WIRE_SETTLEMENT,
WIRE_SUSPENSE,
WRITE_OFF
linked_account_id
string<uuid>[]

Return only resources that are linked to the specified backing account in balance_floor or balance_ceiling. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

overdraft_account_id
string<uuid>[]

Overdraft account ID(s). Multiple IDs can be provided as a comma-separated list. This parameter is deprecated and will be removed in a future API version. Use linked_account_id instead.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

overflow_account_id
string<uuid>[]

Overflow account ID(s). Multiple IDs can be provided as a comma-separated list. This parameter is deprecated and will be removed in a future API version. Use linked_account_id instead.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

account_number
string[]

Account number(s). Multiple account numbers can be provided as a comma-separated list. When only a single account number is provided, any * characters in the string are wildcards, and match any characters.

Example:

"2345678108180014864"

status
enum<string>[]

The status of the account.

Available options:
APPLICATION_SUBMITTED,
FAILED_KYC,
ACCOUNT_NOT_DESIRED,
ACTIVE_OR_DISBURSED,
CLOSED,
SUSPENDED,
CHARGED_OFF,
ACCOUNT_NEVER_ACTIVE,
ACTIVATED_NOT_DISBURSED,
AWAITING_FIXING,
IN_CLOSING,
RESTRICTED,
DELINQUENT
access_status
enum<string>[]

Represents whether a customer has frozen their account. FROZEN is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.

Available options:
ACTIVE,
FROZEN
interest_product_id
string

Interest product ID that accounts associate with. Multiple IDs can be provided as a comma-separated list.

customer_type
enum<string>
read-only

Customer type

Available options:
BUSINESS,
PERSONAL
spend_control_ids
string<uuid>[]

Spend Control ID(s). Multiple IDs can be provided as a comma-separated list. Return only resources that use the specified Spend Controls.

List of spend control IDs to control spending for the account

Maximum array length: 100
account_program_id
string<uuid>[]

Account program ID(s). Multiple IDs can be provided as a comma-separated list.

is_any_payment_rail_enabled
boolean

If true, return only accounts with at least one payment rail enabled. If false, return only accounts with no payment rails enabled. Internal transfers are not considered.

is_past_due
boolean

Filter accounts by whether the account is past due on minimum payments.

is_delinquent
boolean

Filter accounts by whether the account is delinquent on minimum payments.

is_revoked
boolean

Filter accounts by whether the account's credit privileges have been revoked.

is_account_out_of_area
boolean

Filter accounts by whether any account holder is outside the supported countries.

from_creation_time
string<date-time>

Only return accounts created at or after the given date and time.

Example:

"2026-06-12T10:30:00Z"

to_creation_time
string<date-time>

Only return accounts created at or before the given date and time.

Example:

"2026-06-12T10:30:00Z"

nickname
string

Nickname of the account

customer_id
string<uuid>[]

A list of customer unique identifiers, with a comma separating any values.

Customer ID for the application

business_id
string<uuid>[]

Unique identifier for the business. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

person_id
string<uuid>[]

Unique identifier for the person. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

entity_name
string

Only return resources where the entity_name field matches the specified string. Any * characters in the string are wildcards, and match any characters.

Example:

"Apex Corporation"

first_name
string

Only return resources where the first_name or chosen_name field matches the specified string. Any * characters in the string are wildcards, and match any characters.

Example:

"Alice"

last_name
string

Only return resources where the last_name field matches the specified string. Any * characters in the string are wildcards, and match any characters.

Example:

"Smith"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

sort_by
enum<string>[]

Specifies the sort order for the returned accounts.

Available options:
account_number:asc,
account_number:desc,
account_type:asc,
account_type:desc,
first_name:asc,
first_name:desc,
last_name:asc,
last_name:desc,
creation_time:asc,
creation_time:desc,
status:asc,
status:desc

Response

List of accounts

accounts
object[]
required

Array of Accounts

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"